Macromedia JRun 3.0/3.1/4.0 mod_jrun writetolog memory corruption

EntryeditHistoryDiffjsonxmlCTI
CVSS Meta Temp Score
CVSS is a standardized scoring system to determine possibilities of attacks. The Temp Score considers temporal factors like disclosure, exploit and countermeasures. The unique Meta Score calculates the average score of different sources to provide a normalized scoring system.
Current Exploit Price (≈)
Our analysts are monitoring exploit markets and are in contact with vulnerability brokers. The range indicates the observed or calculated exploit price to be seen on exploit markets. A good indicator to understand the monetary effort required for and the popularity of an attack.
CTI Interest Score
Our Cyber Threat Intelligence team is monitoring different web sites, mailing lists, exploit markets and social media networks. The CTI Interest Score identifies the interest of attackers and the security community for this specific vulnerability in real-time. A high score indicates an elevated risk to be targeted for this vulnerability.
9.5$0-$5k0.00

A vulnerability was found in Macromedia JRun 3.0/3.1/4.0 (Programming Tool Software). It has been classified as very critical. Affected is the function writetolog of the component mod_jrun. The manipulation with an unknown input leads to a memory corruption vulnerability. CWE is classifying the issue as CWE-119. This is going to have an impact on confidentiality, integrity, and availability. CVE summarizes:

Buffer overflow in the WriteToLog function for JRun 3.0 through 4.0 web server connectors, such as (1) mod_jrun and (2) mod_jrun20 for Apache, with verbose logging enabled, allows remote attackers to execute arbitrary code via a long HTTP header Content-Type field or other fields.

The bug was discovered 09/23/2004. The weakness was presented 12/23/2004 by iDefense with iDEFENSE as confirmed advisory (CERT.org). The advisory is available at kb.cert.org. This vulnerability is traded as CVE-2004-0646 since 07/08/2004. The exploitability is told to be easy. It is possible to launch the attack remotely. The exploitation doesn't require any form of authentication. Technical details are known, but there is no available exploit. The structure of the vulnerability defines a possible price range of USD $0-$5k at the moment (estimation calculated on 06/05/2019).

The vulnerability scanner Nessus provides a plugin with the ID 14810 (JRun Multiple Vulnerabilities (OF, XSS, ID, Hijacking)), which helps to determine the existence of the flaw in a target environment. It is assigned to the family Web Servers and running in the context remote.

Upgrading eliminates this vulnerability. A possible mitigation has been published before and not just after the disclosure of the vulnerability. Furthermore it is possible to detect and prevent this kind of attack with TippingPoint and the filter 31459.

The vulnerability is also documented in the databases at X-Force (17485), Vulnerability Center (SBV-5463) and Tenable (14810). See 22265, 22766, 23094 and 22765 for similar entries.

Productinfoedit

Type

Vendor

Name

CPE 2.3infoedit

CPE 2.2infoedit

CVSSv3infoedit

VulDB Meta Base Score: 10.0
VulDB Meta Temp Score: 9.5

VulDB Base Score: 10.0
VulDB Temp Score: 9.5
VulDB Vector: 🔍
VulDB Reliability: 🔍

CVSSv2infoedit

AVACAuCIA
🔍🔍🔍🔍🔍🔍
🔍🔍🔍🔍🔍🔍
🔍🔍🔍🔍🔍🔍
VectorComplexityAuthenticationConfidentialityIntegrityAvailability
unlockunlockunlockunlockunlockunlock
unlockunlockunlockunlockunlockunlock
unlockunlockunlockunlockunlockunlock

VulDB Base Score: 🔍
VulDB Temp Score: 🔍
VulDB Reliability: 🔍

NVD Base Score: 🔍

Exploitinginfoedit

Class: Memory corruption
CWE: CWE-119
ATT&CK: Unknown

Local: No
Remote: Yes

Availability: 🔍
Status: Not defined
Price Prediction: 🔍
Current Price Estimation: 🔍

0-Dayunlockunlockunlockunlock
Todayunlockunlockunlockunlock

Nessus ID: 14810
Nessus Name: JRun Multiple Vulnerabilities (OF, XSS, ID, Hijacking)
Nessus File: 🔍
Nessus Risk: 🔍
Nessus Family: 🔍
Nessus Context: 🔍

Saint ID: exploit_info/jrun_writetolog_bo
Saint Name: JRun mod_jrun WriteToLog buffer overflow

Threat Intelligenceinfoedit

Interest: 🔍
Active Actors: 🔍
Active APT Groups: 🔍

Countermeasuresinfoedit

Recommended: Upgrade
Status: 🔍

0-Day Time: 🔍

Upgrade: kb.cert.org
TippingPoint: 🔍
PaloAlto IPS: 🔍
Fortigate IPS: 🔍

Timelineinfoedit

07/08/2004 🔍
09/23/2004 +77 days 🔍
09/23/2004 +0 days 🔍
09/24/2004 +1 days 🔍
09/24/2004 +0 days 🔍
09/24/2004 +0 days 🔍
09/24/2004 +0 days 🔍
09/27/2004 +3 days 🔍
12/23/2004 +87 days 🔍
12/23/2004 +0 days 🔍
04/14/2015 +3764 days 🔍
06/05/2019 +1513 days 🔍

Sourcesinfoedit

Vendor: http://www.macromedia.com/

Advisory: kb.cert.org
Researcher: iDefense
Organization: iDEFENSE
Status: Confirmed
Confirmation: 🔍

CVE: CVE-2004-0646 (🔍)
X-Force: 17485
Vulnerability Center: 5463 - Macromedia ColdFusion and Jrun Allow DoS, Source Code Disclosure and Bypass Authentication, High
SecurityFocus: 11245 - Macromedia JRun Multiple Remote Vulnerabilities
Secunia: 12647 - ColdFusion MX Sensitive Information Disclosure and Denial of Service, Moderately Critical
OSVDB: 10546 - CVE-2004-0646 - Macromedia - JRun - Buffer Overflow Issue

See also: 🔍

Entryinfoedit

Created: 04/14/2015 01:26 PM
Updated: 06/05/2019 06:31 AM
Changes: (10) vulnerability_discoverydate advisory_person_nickname advisory_company_name countermeasure_name countermeasure_date source_osvdb source_osvdb_title source_securityfocus_date source_securityfocus_class source_tippingpoint_id
Complete: 🔍

Comments

No comments yet. Languages: . Please log in to comment.

Want to stay up to date on a daily basis?

Enable the mail alert feature now!